/operations/jobs-dry-run/data_sync_object_counts
1 min
POST
https://app.amberflo.io/operations/jobs-dry-run/data_sync_object_counts
Body Parameters
- bodyoperations.query_tool.data_sync_object_counts.DataSyncObjectCountsParams.in
- typestringrequiredDescriptionDefaultdata_sync_object_counts
- accountIdstringDescription
Responses
200
- operations.jobs.DryRunResult.out
- jobIdstringrequired
- joboperations.jobs.Job.outrequiredDescription
- operations.jobs.scripts.RunBillingJobParams.out
- typestringrequiredDescriptionDefaultbilling_app
- timeRangecommon.TimeRange.outrequiredDescription
- startTimeInSecondsinteger<int64>requiredDescription
- endTimeInSecondsinteger<int64>Description
- operations.query_tool.data_sync_object_counts.DataSyncObjectCountsParams.out
- typestringrequiredDescriptionDefaultdata_sync_object_counts
- accountIdstringDescription
- operations.jobs.scripts.RunCustomAggregationParams.out
- typestringrequiredDescriptionDefaultrun_custom_aggregation
- timeRangecommon.TimeRange.outrequiredDescription
- startTimeInSecondsinteger<int64>requiredDescription
- endTimeInSecondsinteger<int64>Description
- accountIdstringDescription
- meterApiNamestringrequiredDescription
- customAggregationSpecIdstringrequiredDescription
- operations.jobs.scripts.RunDailyHourlyAggregationParams.out
- typestringrequiredDescriptionDefaultrun_daily_hourly_aggregation
- timeRangecommon.TimeRange.outrequiredDescription
- Max depth limit reached
- accountIdstringDescription
- meterApiNamestringrequiredDescription
- aggregationTypecom.amberflo.service.common.aggregation.AggregationType.outDescription
- Max depth limit reached
- operations.jobs.scripts.RunHourlyAggregationParams.out
- Max depth limit reached
- operations.jobs.scripts.RunIngestSnapshotParams.out
- Max depth limit reached
- operations.jobs.scripts.RunItemInvoiceParams.out
- Max depth limit reached
- operations.jobs.scripts.RunLockedProductInvoiceParams.out
- Max depth limit reached
- operations.jobs.scripts.RunMarketplacePaymentsParams.out
- Max depth limit reached
- operations.jobs.scripts.RunUsageCostsParams.out
- Max depth limit reached
- operations.jobs.scripts.RunUsageJobParams.out
- Max depth limit reached
- dryRunOutputMessagesstring[]required
- costEstimationnumberDescription
curl
curl --request POST \
--url https://app.amberflo.io/operations/jobs-dry-run/data_sync_object_counts \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"type": "data_sync_object_counts"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"type": "data_sync_object_counts"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/operations/jobs-dry-run/data_sync_object_counts", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/operations/jobs-dry-run/data_sync_object_counts")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"type": "data_sync_object_counts"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/operations/jobs-dry-run/data_sync_object_counts"
payload = json.dumps({
"type": "data_sync_object_counts"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"jobId": "",
"job": {},
"dryRunOutputMessages": [
""
],
"costEstimation": 0
}